package gov.nist.p25.issi.p25body.serviceprofile;

public enum AuthenticationType {

	NONE(0, "No authentication"), LINK_LAYER_AUTHENTICATION(1,
			"Link Layer Authentication");

	private int val;

	private String description;

	AuthenticationType(int intval, String description) {

		this.val = intval;
		this.description = description;

	}

	@Override
	public String toString() {
		return description;
	}

	public static AuthenticationType getInstance(int intVal) {
		if (intVal == 0)
			return NONE;
		else if (intVal == 1)
			return LINK_LAYER_AUTHENTICATION;
		else
			throw new IllegalArgumentException("Bad arg");
	}

	public int intValue() {
		return val;
	}

}
