package gov.nist.p25.issi.rfss;

import java.util.EventObject;

import javax.sip.ResponseEvent;

public abstract class CallControlResponseEvent extends EventObject {
	protected ResponseEvent responseEvent;

	public CallControlResponseEvent(Object eventObject) {
		super(eventObject);
	}

	protected ResponseEvent getResponseEvent() {
		return responseEvent;
	}

	public int getStatusCode() {
		return this.responseEvent.getResponse().getStatusCode();
	}
}
