package gov.nist.p25.issi.rfss;

import javax.sip.RequestEvent;
import javax.sip.ServerTransaction;
import javax.sip.message.Request;

public class CallSetupRequestEvent extends CallControlRequestEvent {

	private ServerTransaction serverTransaction;

	CallSetupRequestEvent(UnitToUnitCall unitToUnitCall, RequestEvent requestEvent,
			ServerTransaction serverTransaction) {
		super(unitToUnitCall, requestEvent);
		this.serverTransaction = serverTransaction;
	}

	public ServerTransaction getServerTransaction() {
		return this.serverTransaction;
	}

}
