package gov.nist.p25.issi.rfss;

import java.util.EventObject;

import javax.sip.RequestEvent;
import javax.sip.ServerTransaction;

/**
 * 
 * Definitions for the RegisterEvent
 * 
 * @author mranga
 * @author steveq
 * 
 */
public class RegisterEvent extends EventObject {
	enum EventTypes {
		REGISTER_DEREGISTER, REGISTER_QUERY, REGISTER_REGISTER
	};

	public static final EventTypes REGISTER_DEREGISTER = EventTypes.REGISTER_DEREGISTER;

	public static final EventTypes REGISTER_QUERY = EventTypes.REGISTER_QUERY;

	public static final EventTypes REGISTER_REGISTER = EventTypes.REGISTER_REGISTER;

	public final RequestEvent requestEvent;

	protected final ServerTransaction serverTransaction;

	public final EventTypes eventType;

	public RegisterEvent(RFSS source, RequestEvent requestEvent,
			ServerTransaction serverTx, EventTypes type) {
		super(source);
		this.eventType = type;
		this.requestEvent = requestEvent;
		this.serverTransaction = serverTx;

	}

}
