package gov.nist.p25.issi.rfss.tester;

import javax.sip.SipProvider;

import gov.nist.p25.issi.issiconfig.RfssConfig;
import gov.nist.p25.issi.rfss.RFSS;

public class CallSetupTest extends AbstractSipSignalingTest {

	private RfssConfig rfssConfig;

	private long creationTime;

	public CallSetupTest(RfssConfig rfssConfig, TestScript testCase, RFSS rfss)
			throws Exception {
		this.rfssConfig = rfssConfig;
		this.creationTime = System.currentTimeMillis();
		super.setUp(testCase, rfss.getProvider());
	}

	@Override
	public RfssConfig getRfssConfig() {

		return rfssConfig;
	}

	public long getStartTime() {
		return this.creationTime;
	}

	

	

	

}
