package gov.nist.p25.issi.rfss;

import java.util.EventObject;

import javax.sip.RequestEvent;

/**
 * Call control request event base class. This is the class that the Su sees.
 * 
 * 
 * @author M. Ranganathan
 * 
 */
public abstract class CallControlRequestEvent extends EventObject {
	RequestEvent requestEvent;

	CallControlRequestEvent(UnitToUnitCall call, RequestEvent requestEvent) {
		super(call);
		this.requestEvent = requestEvent;
	}

	RequestEvent getRequestEvent() {
		return this.requestEvent;
	}

	public UnitToUnitCall getCallSegment() {
		return (UnitToUnitCall) getSource();
	}
}
