package gov.nist.p25.issi.rfss;

import java.util.*;

import javax.sip.address.URI;

/**
 * Exported binding. You can use RMI to get the bindings as an array of such
 * values.
 */
public class ExportedBinding implements java.io.Serializable {
	protected String requestURI;

	protected String contactAddress;

	protected long expiryTime;

	protected URI key;

	public String getRequestURI() {
		return this.requestURI;
	}

	public String getContactAddress() {
		return this.contactAddress;
	}

	public long getExpiryTime() {
		return this.expiryTime;
	}

	public String getKey() {
		return this.key.toString();
	}

}
