package gov.nist.p25.issi.rfss;

import gov.nist.p25.issi.issiconfig.GroupConfig;

import java.util.EventObject;

import javax.sip.RequestEvent;
import javax.sip.ServerTransaction;

public class GroupCallSetupRequestEvent extends EventObject {

	private RequestEvent requestEvent;

	private GroupConfig groupConfig;

	private ServerTransaction serverTransaction;

	public GroupCallSetupRequestEvent(GroupConfig groupConfig,
			RequestEvent requestEvent, ServerTransaction st) {
		super(groupConfig);
		this.requestEvent = requestEvent;
		this.groupConfig = groupConfig;
		this.serverTransaction = st;
	}

	public RequestEvent getRequestEvent() {
		return this.requestEvent;
	}

	public GroupConfig getGroupConfig() {
		return this.groupConfig;
	}

	public ServerTransaction getServerTransaction() {
		return this.serverTransaction;
	}

}
