package gov.nist.p25.issi.rfss;

import java.util.EventObject;

import javax.sip.ResponseEvent;

/**
 * Wrapper class for SIP response events.
 * 
 * @author M. Ranganathan
 */
public class UnitToUnitCallControlResponseEvent extends
		CallControlResponseEvent {

	UnitToUnitCallControlResponseEvent(UnitToUnitCall unitToUnitCall,
			ResponseEvent responseEvent) {
		super(unitToUnitCall);
		this.responseEvent = responseEvent;
	}

	public UnitToUnitCall getCallSegment() {
		return (UnitToUnitCall) getSource();
	}

}
