package gov.nist.p25.issi.rfss.tester;

import gov.nist.p25.issi.issiconfig.SuConfig;

public class CallTerminator extends AbstractScenario {
	SuConfig suConfig;

	String scriptingEngine;

	String script;
	
	CallTerminator ( SuConfig suConfig ) {
		this.suConfig = suConfig;
	}
	
	
	private TestSU getSU() {
		return (TestSU) this.suConfig.getSU();
	}
	
	
	public void terminateCallSegment() {
		getSU().terminateUnitToUnitCall();
	}


	public SuConfig getSuConfig() {
		return this.suConfig;
	}


	
	
	
}
