package gov.nist.p25.issi.rfss.tester;

import gov.nist.p25.issi.issiconfig.WebServerAddress;
import gov.nist.p25.issi.rfss.ISSITesterConstants;

public class EmulatorWebServerAddress implements WebServerAddress {

	private String ipAddress;

	private int httpPort;

	public EmulatorWebServerAddress(String ipAddress, int port) {
		this.ipAddress = ipAddress;
		this.httpPort = port;
	}

	/* (non-Javadoc)
	 * @see gov.nist.p25.issi.rfss.tester.WebServerAddress#getIpAddress()
	 */
	public String getIpAddress() {
		return ipAddress;
	}

	/* (non-Javadoc)
	 * @see gov.nist.p25.issi.rfss.tester.WebServerAddress#getHttpPort()
	 */
	public int getHttpPort() {
		return  httpPort;
		
	}

	/* (non-Javadoc)
	 * @see gov.nist.p25.issi.rfss.tester.WebServerAddress#getHttpControlUrl()
	 */
	public String getHttpControlUrl() {
		return "http://" + this.ipAddress + ":" + this.httpPort
				+ "/rfss/control";
	}

}
