package gov.nist.p25.issi.testlauncher;

import gov.nist.p25.issi.rfss.ISSITesterConstants;

import org.mortbay.jetty.servlet.ServletHandler;

/**
 * The servlet handler for the client servlet. The client servlet
 * is used to post information from the server side of the tester
 * to the client. The client registers for notification from the
 * server on startup provided it is configured to do so.
 * 
 * @author mranga
 *
 */
public class ClientServletHandler extends ServletHandler {
	public ClientServletHandler(TestControllerInterface remoteTestController) {
		this
				.setContextAttribute(ISSITesterConstants.CONTROLLER,
						remoteTestController);

	}
}
